version: "3.8"
services:
  vault-1:
    image: hashicorp/vault
    container_name: vault-1    
    ports:
      - "8200:8200"
    restart: always
    volumes:
      - /gurulandia/data/docker/vault-1/logs:/vault/logs
      - /gurulandia/data/docker/vault-1/file:/vault/file
      - /gurulandia/data/docker/vault-1/config:/vault/config
    cap_add:
      - IPC_LOCK
    entrypoint: vault server -config=/vault/config
    networks:
      vault-network:
        ipv4_address: 172.21.0.10
  vault-2:
    image: hashicorp/vault
    container_name: vault-2
    ports:
      - "53220:8200"
    environment:
       VAULT_TOKEN: hvs.CAESIBbD2GtLdO2bF-e3KttPqPjwbZ94LKuEvm1o3TxUB9X3Gh4KHGh2cy5vSHBSMEJNSUFpUjJnQjU0cGVsckpkUTc
       VAULT_ADDR: "http://0.0.0.0:53220"
    restart: always
    volumes:
      - /gurulandia/data/docker/vault-2/logs:/vault/logs
      - /gurulandia/data/docker/vault-2/file:/vault/file
      - /gurulandia/data/docker/vault-2/config:/vault/config
    cap_add:
      - IPC_LOCK
    entrypoint: vault server -config=/vault/config
    networks:
      vault-network:
        ipv4_address: 172.21.0.11
networks:
  vault-network:
    ipam:
      config:
        - subnet: 172.21.0.0/24
